import { da as g, db as d, a5 as l, cf as h, cg as m, dc as p, dd as f, de as I, df as v, U as F, dg as b, H as u, dh as M, di as w, dj as V, ah as x, aj as s, a4 as c, dk as D, c1 as j, c3 as E, cr as P } from "./56c67d3b.js";
import "react";
import "react-dom";
let a = function() {
  const o = {
    ...g,
    defaultValue: d("defaultValue", ["1", "2"]),
    value: d("value"),
    style: l(h, "style"),
    labelStyle: l(m, "labelStyle"),
    inputFieldStyle: l(p, "inputFieldStyle"),
    childrenInputFieldStyle: l(f, "childrenInputFieldStyle"),
    margin: I,
    padding: v
  };
  return new F(o, (e, S) => {
    var i, n;
    const r = new Set(e.options.map((t) => t.value)), [y, C] = b(e);
    return e.label({
      required: e.required,
      style: e.style,
      labelStyle: e.labelStyle,
      inputFieldStyle: e.inputFieldStyle,
      childrenInputFieldStyle: e.childrenInputFieldStyle,
      children: /* @__PURE__ */ u(M, {
        ...e,
        mode: "multiple",
        value: (n = (i = e.value.value).filter) == null ? void 0 : n.call(i, (t) => r.has(t)),
        onChange: C,
        dispatch: S
      }),
      ...y
    });
  }).setPropertyViewFn((e) => /* @__PURE__ */ u(w, {
    ...e
  })).setExposeMethodConfigs(V).build();
}();
a = E(a, P);
const N = x(a, [new s("value", c("selectInput.valueDesc")), new s("inputValue", c("select.inputValueDesc")), D, ...j]);
export {
  N as MultiSelectComp
};
